## tendermint 0.8.0%2Bgit20170113.0.764091d

=== Makefile ===
.PHONY: get_deps build all list_deps install

all: get_deps install test

TMROOT = $${TMROOT:-$$HOME/.tendermint}
define NEWLINE


endef
NOVENDOR = go list github.com/tendermint/tendermint/... | grep -v /vendor/

install: get_deps
	go install github.com/tendermint/tendermint/cmd/tendermint

build:
	go build -o build/tendermint github.com/tendermint/tendermint/cmd/tendermint

build_race:
	go build -race -o build/tendermint github.com/tendermint/tendermint/cmd/tendermint

test: build
	go test `${NOVENDOR}`

test_race: build
	go test -race `${NOVENDOR}`

test_integrations:
	bash ./test/test.sh

test100: build
	for i in {1..100}; do make test; done

draw_deps:
	# requires brew install graphviz
	go get github.com/hirokidaichi/goviz
	goviz -i github.com/tendermint/tendermint/cmd/tendermint | dot -Tpng -o huge.png

list_deps:
	go list -f '{{join .Deps "\n"}}' github.com/tendermint/tendermint/... | \
		grep -v /vendor/ | sort | uniq | \
	  xargs go list -f '{{if not .Standard}}{{.ImportPath}}{{end}}'

get_deps:
	go get -d `${NOVENDOR}`
	go list -f '{{join .TestImports "\n"}}' github.com/tendermint/tendermint/... | \
		grep -v /vendor/ | sort | uniq | \
		xargs go get

get_vendor_deps:
	go get github.com/Masterminds/glide
	rm -rf vendor/
	glide install

update_deps:
	go get -d -u github.com/tendermint/tendermint/...

revision:
	-echo `git rev-parse --verify HEAD` > $(TMROOT)/revision
	-echo `git rev-parse --verify HEAD` >> $(TMROOT)/revision_history

=== debian/control ===
Source: tendermint
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 abci,
 debhelper (>= 9),
 dh-golang,
 golang-any,
 golang-github-gogo-protobuf-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-spf13-pflag-dev,
 golang-github-tendermint-ed25519-dev,
 golang-github-tendermint-go-autofile-dev,
 golang-github-tendermint-go-clist-dev,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-config-dev,
 golang-github-tendermint-go-crypto-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-events-dev,
 golang-github-tendermint-go-flowrate-dev,
 golang-github-tendermint-go-logger-dev,
 golang-github-tendermint-go-merkle-dev,
 golang-github-tendermint-go-p2p-dev,
 golang-github-tendermint-go-rpc-dev,
 golang-github-tendermint-go-wire-dev (>= 1.0~rc~),
 golang-github-tendermint-log15-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev
Standards-Version: 3.9.8
Homepage: https://github.com/tendermint/tendermint
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/tendermint.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/tendermint.git
XS-Go-Import-Path: github.com/tendermint/tendermint

Package: tendermint
Architecture: any
Built-Using: ${misc:Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: simple, secure, scalable Blockchain platform
 Tendermint Core is Byzantine Fault Tolerant (BFT) middleware
 that takes a state transition machine, written in any
 programming language, and replicates it on many machines.
 .
 This package provides the Tendermint Core executable.

Package: golang-github-tendermint-tendermint-dev
Architecture: all
Depends:
 abci,
 golang-github-gogo-protobuf-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-spf13-pflag-dev,
 golang-github-tendermint-ed25519-dev,
 golang-github-tendermint-go-autofile-dev,
 golang-github-tendermint-go-clist-dev,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-config-dev,
 golang-github-tendermint-go-crypto-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-events-dev,
 golang-github-tendermint-go-flowrate-dev,
 golang-github-tendermint-go-logger-dev,
 golang-github-tendermint-go-merkle-dev,
 golang-github-tendermint-go-p2p-dev,
 golang-github-tendermint-go-rpc-dev,
 golang-github-tendermint-go-wire-dev (>= 1.0~rc~),
 golang-github-tendermint-log15-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 ${misc:Depends}
Description: Tendermint Go library
 Tendermint Core is Byzantine Fault Tolerant (BFT) middleware
 that takes a state transition machine, written in any
 programming language, and replicates it on many machines.
 .
 This package provides the Go packages for the development
 of Tendermint applications.

## tendermint 0.8.0+git20170113.0.764091d

=== debian/changelog ===
tendermint (0.8.0+git20170113.0.764091d-2) unstable; urgency=medium

  * Make tests use a fake $HOME to prevent failures in environments
    that don't provide writable home directories. (Closes: #854813)

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Feb 2017 13:58:09 +0000

tendermint (0.8.0+git20170113.0.764091d-1) unstable; urgency=medium

  * Initial release (Closes: #838123)

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Feb 2017 09:09:45 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := consensus/test_data

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	mkdir $(CURDIR)/tests-homedir/ &&\
	HOME=$(CURDIR)/tests-homedir/ dh_auto_test && \
	rm -rf $(CURDIR)/tests-homedir/
